package hdm.mi.sthbackend.model;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.HashMap;
import java.util.Map;
import java.util.UUID;

@Getter
@Document("Match")
public class Match {
    private static final Logger log = LogManager.getLogger(Match.class);

    @Id
    private UUID matchId;

    @Getter
    private Map<UUID, Integer> teamScores;

    @Setter
    private UUID winnerTeamId;

    @Setter
    private String comment;

    @Setter
    private UUID nextMatchId;

    public Match(UUID matchId){
        this.matchId = matchId;
        this.teamScores = new HashMap<>();
    }
}
