package hdm.mi.sthbackend.model;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.UUID;
import java.util.stream.Collectors;

@Document("Tournament")
@Getter
@Setter
@AllArgsConstructor
public class Tournament implements ITournament{
    @Id
    private UUID tournamentId;
    @Setter
    private String tournamentName;
    @Setter
    private List<BracketRound> bracket;
    private Map<UUID, Team> teams;
    private List<UUID> users;



    public Tournament(String tournamentName, List<String> teamNames){
        this.tournamentId = UUID.randomUUID();
        this.tournamentName = tournamentName;
        this.bracket = new ArrayList<>();
        this.teams = teamNames.stream().map( Team::new ).collect(Collectors.toMap(Team::getTeamId, team -> team ));
    }

}
